﻿#region COPYRIGHT
//--------------------------------------------------------------------------------
// <copyright file="VScrollBar.cs" company="starLiGHT Entertainment Studios">
//    Copyright (c) 2011 
//       Roland Rosenkranz (Glatzemann@email.de)
// </copyright>
// <license>
//   This file is part of starLiGHT.GUI.
//
//   It is released under the Microsoft Public License (Ms-PL).
//
//   You should have received a copy of the Microsoft Public License
//   along with starLiGHT.GUI. If not, see http://sle.codeplex.com/license.
//    
//   ADDITIONAL (commercial) LICENSES for starLiGHT.GUI are available on request.
// </license>
// <version>
// **************[ starLiGHT.Engine SVN ]**********************
// * $Rev:: 9915                  $:  Revision of last commit *
// * $Author:: unknown            $:  Author of last commit   *
// * $Date:: 2011-05-09 22:05:35 #$:  Date of last commit     *
// ************************************************************
// </version>
//--------------------------------------------------------------------------------
#endregion

namespace starLiGHT.GUI.Widgets
{
#region Using Statements
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
#endregion

    public class VScrollBar : ScrollBar
    {
        #region Constructors
        public VScrollBar(GuiManager manager, string name)
            : base(manager, name)
        {
        }

        public VScrollBar(GuiManager manager, string name, string layout)
            : base(manager, name, layout)
        {
        }
        #endregion

        public override bool CanFocus
        {
            get 
            {
                return true;
            }
        }
    }
}
