﻿#region Using Statements
using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;
using starLiGHT.ParticleSystem.Common;
#endregion

#region Version Stuff
// **************[ starLiGHT.Engine SVN ]**********************
// * $Rev:: 1203                  $:  Revision of last commit *
// * $Author:: glatzemann         $:  Author of last commit   *
// * $Date:: 2010-08-03 10:53:18 #$:  Date of last commit     *
// ************************************************************
#endregion

namespace starLiGHT.SceneManagement
{
    public interface IParticleSystemRendererFactory
    {
        string Type { get; }

        IRenderer createInstance(string name, GraphicsDevice graphics);

        void destroyInstance(IRenderer renderer);
    }
}
