﻿#region Using Statements
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using starLiGHT.Components.SandboxManager;
using Microsoft.Xna.Framework.Graphics;
#endregion

namespace starLiGHT.Sandbox.Particles
{
    [SandboxTest("Smoke and Fire")]
    public class SmokeAndFireTest : ParticleSystemTest
    {
        public override void Initialize(Game1 game, GraphicsDevice graphics)
        {
            ParticleSystem = new starLiGHT.SceneManagement.ParticleSystem("SmokeAndFire", "Autodetect", graphics);
            ParticleSystem.addEmitter(new Smoke(game.Content));
            ParticleSystem.addEmitter(new Fire(game.Content));
            ParticleSystem.StartEmitters();
        }

    }
}
