﻿#region Using Statements
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using starLiGHT.Components.SandboxManager;
using Microsoft.Xna.Framework.Graphics;
#endregion

namespace starLiGHT.Sandbox.Particles
{
    [SandboxTest("Snowfall")]
    public class SnowfallTest : ParticleSystemTest
    {
        public override void Initialize(Game1 game, GraphicsDevice graphics)
        {
            ParticleSystem = new starLiGHT.SceneManagement.ParticleSystem("Snow", "Autodetect", graphics);
            ParticleSystem.addEmitter(new Snowfall(game.Content));
            ParticleSystem.StartEmitters();
        }
    }
}
