﻿#region COPYRIGHT
//--------------------------------------------------------------------------------
// <copyright file="StatusStrip.cs" company="starLiGHT Entertainment Studios">
//    Copyright (c) 2011 
//       Roland Rosenkranz (Glatzemann@email.de)
// </copyright>
// <license>
//   This file is part of starLiGHT.GUI.
//
//   It is released under the Microsoft Public License (Ms-PL).
//
//   You should have received a copy of the Microsoft Public License
//   along with starLiGHT.GUI. If not, see http://sle.codeplex.com/license.
//    
//   ADDITIONAL (commercial) LICENSES for starLiGHT.GUI are available on request.
// </license>
// <version>
// **************[ starLiGHT.Engine SVN ]**********************
// * $Rev:: 9923                  $:  Revision of last commit *
// * $Author:: unknown            $:  Author of last commit   *
// * $Date:: 2011-05-10 14:48:29 #$:  Date of last commit     *
// ************************************************************
// </version>
//--------------------------------------------------------------------------------
#endregion

namespace starLiGHT.GUI.Widgets
{
    #region Using Statements
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Microsoft.Xna.Framework;
    #endregion

    public class StatusStrip : ToolStrip
    {
        #region Constructors
        public StatusStrip(GuiManager manager, string name)
            : base(manager, name)
        {
        }

        public StatusStrip(GuiManager manager, string name, string layout)
            : base(manager, name, layout)
        {
        }
        #endregion

        public override bool CanFocus
        {
            get
            {
                return true;
            }
        }
    }
}
