﻿#region COPYRIGHT

/*
    Copyright (c) 2007, 2008, 2009, 2010 
        Roland Rosenkranz (Glatzemann@email.de)
*/

#endregion

#region LICENSE

/*
    This file is part of starLiGHT.Input.

    starLiGHT.Input is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    starLiGHT.Input is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with starLiGHT.Input.  If not, see <http://www.gnu.org/licenses/>.

    
    ADDITIONAL (commercial) LICENSES for starLiGHT.Input are available on request.
*/

#endregion

#region Version Stuff
// **************[ starLiGHT.Engine SVN ]**********************
// * $Rev:: 1496                  $:  Revision of last commit *
// * $Author:: glatzemann         $:  Author of last commit   *
// * $Date:: 2010-10-11 09:38:05 #$:  Date of last commit     *
// ************************************************************
#endregion

#if !XBOX360

namespace starLiGHT.Input
{
    /// <summary>
    /// Enumeration to identify buttons used by a mouse.
    /// </summary>
    public enum MouseButtons
    {
        /// <summary>
        /// The left mouse button of the mouse
        /// </summary>
        LeftButton,
        /// <summary>
        /// The middle mouse button of the mouse
        /// </summary>
        MiddleButton,
        /// <summary>
        /// The right button of the mouse
        /// </summary>
        RightButton,
        /// <summary>
        /// The extra button 1 of the mouse (usually back)
        /// </summary>
        XButton1,
        /// <summary>
        /// The extra button 2 of the mouse (usually forward)
        /// </summary>
        XButton2
    }
}

#endif