using System;
using starLiGHT.Sandbox.Physic2D;

namespace TestBed
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        static void Main(string[] args)
        {
            String testName = String.Empty;

#if !WINDOWS_PHONE
            if (args.Length > 0)
            {
                if (TestFactory.ContainsTest(args[0].ToString()))
                    testName = args[0].ToString();
            }

            using (Game1 game = new Game1(testName))
            {
                game.Run();
            }
#else
            using (Game1 game = new Game1())
            {
                game.Run();
            }
#endif
        }
    }
}

